Bug 1005689 - [Admin Portal] New server VM has 'Disable strict user checking' disabled/unchecked by default
[Admin Portal] New server VM has 'Disable strict user checking' disabled/unch...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Tomas Jelinek
Pavel Novotny
virt
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 03:47 EDT by Jiri Belka
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version: is18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19454 None None None Never
oVirt gerrit 19765 None None None Never
oVirt gerrit 19766 None None None Never

  None (edit)
Description Jiri Belka 2013-09-09 03:47:17 EDT
Description of problem:
In the past, before redesign in New VM dialog, when one was creating a server VM it had'Disable strict user checking' enabled/checked by default. Now with New VM dialog this is not the case. (This option should change based on Optimized For value.)

Version-Release number of selected component (if applicable):
is13

How reproducible:
100%

Steps to Reproduce:
1. create new VM - optimized for: server
2. check 'Disable strict user checking' under Advanced parameters in VM properties/Console
3.

Actual results:
server based vm had recently 'disable strict user checking' disabled/unchecked

Expected results:
same behaviour as in the past

Additional info:
it's logical we want this feature enabled, server-based VM are not user VMs and thus it is usually opened by admins for administration purposes
Comment 2 Pavel Novotny 2013-10-16 11:37:21 EDT
Verified in rhevm-3.3.0-0.25.beta1.el6ev.noarch (is18).

The checkbox `Disable strict user checking` is dynamically set based on the `Optimized for` value: Server - checked, Desktop - unchecked.
Comment 3 Itamar Heim 2014-01-21 17:23:37 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:24:39 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:28:18 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.